
QGIS Application - Bug report #8263

Rendering rule-based w/o label

2013-07-11 01:23 AM - Rémi Bovard

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17067

Description

When using a rendering rule-based, if no label defined for the rule, the symbol is incorrect (it takes the first one for all others).

See attached screenshot.

History

#1 - 2013-07-11 03:11 AM - Nathan Woodrow

Strange.  I can't seem to reproduce here could you put together a sample project with some test data so we can test.

#2 - 2013-07-11 03:21 AM - Rémi Bovard

Mmmh I found how to reproduce it --> It does that when the 'Show feature count' is on.

#3 - 2013-07-11 03:30 AM - Nathan Woodrow

Thanks.  Can reproduce it now.

#4 - 2013-07-11 04:02 AM - Giovanni Manghi

- Category set to Symbology

does not seems a regression. I see it on 1.8 too.

#5 - 2014-06-23 06:32 AM - Rémi Bovard

- Status changed from Open to Closed

It's resolved in current master.
